Subject: [bug#54580] [PATCH staging?] gnu: mrustc: Update to 0.10.

From: Efraim Flashner <[email-masked]>
Date: Mon, 9 May 2022 17:22:50 +0300

On Sat, Mar 26, 2022 at 02:16:06PM +0000, Pierre Langlois wrote:
> 
> Pierre Langlois <[email-masked]> writes:
> 
> > [[PGP Signed Part:Undecided]]
> > Hi Guix!
> >
> > Good news everyone, I managed to get a aarch64 build of Rust by updating
> > mrustc to 0.10!  Sadly, i686 is still unsupported, due to the build
> > using too much memory, it must be the same for other 32-bit architectures.
> >
> > I tested this on a pinebookpro which only has 4G of RAM, I had to attach
> > 16G of swap for the initial [email-masked] build to succeed, then the whole
> > rust chain took about 5 days!  I also tested on my x86_64 desktop.
> >
> > Here's the patch! After it we should be able to follow-up and enable
> > Gnome and friends.
> >
> > That being said, I wasn't entirely sure where this patch should go,
> > ideally it would be good to have a staging branch rather than
> > core-updates, WDYT?  Maybe we can do this along with a rust version
> > update?
> >
> > PS: I also tried to build rust 1.54 with the new mrustc update, to
> > shorten the chain, but I've not had any successes with it yet.
> >

Go ahead and push it to staging. I have high on my TODO list to get it
working with 1.54.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted